.header {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    transition: all 0.3s ease-in;
}

.header-bottom {
    background-color: var(--primary-color);
}

.header-hamburger {
    width: 42px;
    height: 42px;
    font-size: 20px;
    border-radius: 5px;
    background: var(--bs-dark);

}

.header-logo {
    width: 140px;

}

.header-item .title {
    font-size: 1.1em;
}

.header-wrap__right {
    width: 100%;
    max-width: 500px;
}

.header-search {
    width: 100%;
}

.header-search .form-control {
    font-size: 14px;
    height: 45px;
    padding: 5px 40px 5px 20px;
    border: 1px solid var(--bs-gray-300);
    border-radius: 5px;
    background-color: var(--bs-gray-100);
}

.header-search .header-search__icon {
    width: 50px;
    height: 36px;
    top: 4px;
    right: 4px;
    bottom: 4px;
    border-radius: 5px;
    background: var(--primary-color);
}

.header-search .search-result {
    max-height: 500px;
    border: 1px solid var(--bs-gray-200);
    box-shadow: 0px 2px 4px rgba(97, 97, 97, 0.18), 0px 4px 8px rgba(97, 97, 97, 0.18);
    transform: translateY(-5px);
    z-index: 21;
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.header-search .search-result.show {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.header-search .search-result ul > li > a {
    padding: 8px;
    border-radius: 5px;
}

.header-search .search-result ul > li:not(:last-child) {
    border-bottom: 1px solid var(--bs-gray-300);
}

.header-search .search-result ul > li:hover a {
    background-color: var(--bs-gray-100);
}

.search-result .image {
    width: 70px;
    height: 70px;
}

.search-result .title {
    font-size: 15px;
    color: var(--text-color);
}

.search-result .price-sale {
    color: var(--bs-gray-700);
}

.header-item .icon {
    width: 38px;
    height: 38px;
    border: 2px solid rgb(var(--primary-rgb), 0.6);
}

.header-item .title {
    font-size: 1em;
}

.header-navigation ul {
    display: flex;
    align-items: center;
}

.header-navigation > ul > li > a {
    padding: 15px;
    display: block;
    font-weight: 700;
    color: var(--bs-white);
    white-space: nowrap;
}

.header-navigation > ul > li:hover > a {
    background-color: var(--primary-hover);
}

.header-navigation > ul > li > ul,
.header-navigation > ul > li > ul > li > ul {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, 10px);
    width: 220px;
    background-color: var(--bs-white);
    z-index: 3;
    border-radius:0 0 3px 3px;
    display: flex;
    flex-direction: column;
    transition: all 0.3s ease;
    box-shadow: 0 4px 8px rgb(97 97 97 / 14%), 0 8px 16px rgb(97 97 97 / 14%);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.header-navigation > ul > li > ul > li > ul {
    transform: unset;
    left: 100%;
    top: 0;
}

.header-navigation > ul > li:hover > ul,
.header-navigation > ul > li > ul > li:hover > ul {
    transform: translate(-50%, 0);
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.header-navigation > ul > li > ul > li:hover > ul {
    transform: unset !important;
}

.header-navigation > ul > li:hover > a > i {
    transform: rotate(180deg);
}

.header-navigation > ul > li > ul > li,
.header-navigation > ul > li > ul > li > ul > li {
    width: 100%;
}

.header-navigation > ul > li > ul > li + li,
.header-navigation > ul > li > ul > li > ul > li + li {
    border-top: 1px dashed var(--bs-gray-200);
}

.header-navigation > ul > li > ul > li > a,
.header-navigation > ul > li > ul > li > ul > li > a {
    padding: 12px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-weight: 500;
    color: var(--bs-gray-800);
}

.header-navigation > ul > li > ul > li:hover > a,
.header-navigation > ul > li > ul > li > ul > li:hover > a {
    color: var(--primary-color);
}


.section-hero .slider-button {
    width: 50px;
    height: 50px;
    box-shadow: 0 5px 20px rgba(0, 0, 0, .2);
    color: rgb(97 104 111);
    opacity: 0;
}

.section-hero .slider-button_prev {
    left: -25px;
}

.section-hero .slider-button_prev i {
    margin-left: 17px;
}

.section-hero .slider-button_next {
    right: -25px;
}

.section-hero .slider-button_next i {
    margin-right: 17px;
}

.section-hero__banner:hover .slider-button {
    opacity: 1;
}

.card-box__image {
    width: 45px;
    height: 45px;
}

.card-box__title {
    font-size: 1.1em;
    color: var(--bs-gray-800);
}

.card-box__text {
    color: var(--bs-gray-700);
}

.footer-wrap {
    background-color: var(--secondary-color);
    color: var(--bs-gray-400);
}

.footer-text,
.footer-contact {
    font-size: 15px;
}

.footer-contact .contact-item {
    border: 1px solid #ffffff30;
    padding: 10px;
}

.footer-contact .contact-item .icon {
    width: 35px;
    height: 35px;
    background-color: var(--bs-gray-700);
}

.footer-title {
    font-size: 1.15em;
    margin-bottom: 15px;
    color: var(--bs-white);
}

.footer-column ul > li > a,
.footer-contact a,
.footer-copyright a {
    color: var(--bs-gray-300);
}

.footer-contact a:hover,
.footer-copyright a:hover {
    color: var(--bs-white);
}

.footer-social > a {
    width: 30px;
    height: 30px;
    border-radius: 3px;
    background-color: var(--primary-color);
}

.footer-social > a:hover {
    background-color: var(--primary-hover);
}

.footer-contact .contact-item {
    background-color: #100f0f;
}

.footer-contact .contact-item .icon {
    width: 35px;
    height: 35px;
}

.footer-map iframe {
    width: 100% !important;
    height: 200px !important;
}

.footer-copyright {
    border-top: 1px solid rgba(255, 255, 255, 0.22);
}

.article-card__date {
    font-size: 0.85em;
    color: var(--bs-gray-700);
}

.article-card__image {
    width: 210px;
    height: 140px;
}

.article-card__title {
    font-size: 1.15em;
    color: var(--bs-gray-800);
}

.article-card:hover .article-card__image > img {
    opacity: 0.8;
}

.article-card:hover .article-card__title {
    color: var(--primary-color);
}

.page-article .article-content .article-title {
    font-size: 2em;
    font-weight: 600;
    margin-bottom: 8px;
}

.page-article .article-content .article-meta {
    color: var(--bs-gray-600);
    position: relative;
}

.page-article .article-content .article-meta .article-meta_item + .article-meta_item {
    padding-left: 8px;
}

.page-article .article-content .article-meta .article-meta_item + .article-meta_item:before {
    color: #c0c4cb;
    margin-right: 8px;
    content: "|";
    position: relative;
    top: -1px;
}

.page-article .article-content .article-desc {
    background-color: var(--bs-gray-200);
    padding: 20px;
    border-radius: 8px;
    margin-top: 30px;
}

.detailContent {
    font-size: 15px;
}

.detailContent img {
    max-width: 100% !important;
    height: auto !important;
}

.detailContent iframe,
.detailContent video,
.detailContent table {
    max-width: 100% !important;
}

.detailContent strong,
.detailContent b {
    font-weight: 700 !important;
}

.detailContent h1,
.detailContent h2,
.detailContent h3,
.detailContent h4,
.detailContent h5,
.detailContent h6,
.detailContent strong {
    font-weight: 600 !important;
    margin-bottom: 1rem;
}

.detailContent h1 {
    font-size: 1.6em;
}

.detailContent h2 {
    font-size: 1.5em;
}

.detailContent h3 {
    font-size: 1.4em;
}

.detailContent h4 {
    font-size: 1.3em;
}

.detailContent h5 {
    font-size: 1.2em;
}

.detailContent h6 {
    font-size: 1.1em;
}

.sidebar-blog__list .blog-item + .blog-item {
    border-top: 1px dashed var(--bs-gray-400);
    margin-top: 10px;
    padding-top: 10px;
}

.sidebar-blog__list .blog-item .image {
    width: 150px;
    height: 100px;
}

.sidebar-blog__list .blog-item .title {
    color: var(--bs-gray-800);
    font-size: 1.1em;
}

.sidebar-blog__list .blog-item .date {
    color: var(--bs-gray-700);
    font-size: 0.9em;
}

.sidebar-blog__list .blog-item:hover .title {
    color: var(--primary-color);
}

.page-category__right {
    border-right: 1px solid #d0cbcb;
}

.detail-product__images .image-thumb .image-item {
    height: 100px;
    border: 1px solid var(--bs-gray-400);
    transition: var(--transition-default);
    opacity: 0.8;
}

.detail-product__images .image-thumb .image-item:hover,
.detail-product__images .swiper-slide-thumb-active .image-item {
    border: 1px solid var(--primary-color);
    opacity: 1;
    cursor: pointer;
}

.detail-product__price .price {
    font-size: 1.7em;
}

.detail-product__price .price-sale {
    font-size: 1.1em;
    color: var(--bs-gray-600);
}

.detail-product__price .price-sale .label {
    padding: 3px 6px;
    border-radius: 3px;
    font-size: 13px;
    font-weight: 500;
}

.detail-product__contact .contact-item {
    padding: 8px 20px;
    color: var(--bs-white);
    font-weight: 600;
    border-radius: 5px;
    border: 1px solid transparent;
    background: var(--bs-black);
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 190px;
    width: 100%;
    font-size: 13px;
}

.detail-product__contact .contact-item:hover {
    opacity: 0.8;
}

.detail-product__contact .contact-item .icon {
    width: 30px;
    height: 30px;
    background-color: var(--bs-white);
    color: var(--bs-black);
}

.detail-product__contact .contact-item .icon.hotline i {
    transform: rotate(90deg);
}

.product-card {
    border-radius: 5px;
    border: 1px solid var(--bs-gray-200);
}

.product-card__title {
    font-size: 1.2em;
    line-height: normal;
}

.product-card__price {
    font-size: 1.1em;
}

.product-card__price .price-sale {
    font-size: 14px;
    color: var(--bs-gray-600);
}

.product-card__price .label {
    font-size: 12px;
    border-radius: 3px;
    padding: 3px 8px;
}

.product-card .product-card__image::after {
    position: absolute;
    border: 1px solid #ececec;
    background: rgba(245, 246, 249, .9);
    font-family: "Font Awesome 5 Pro";
    content: "\f0c1";
    left: 50%;
    top: 50%;
    transform: translateX(-50%) scale(0);
    width: 35px;
    height: 35px;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    color: var(--bs-gray-800);
    transition: var(--transition-default);
}
.product-card:hover{
    border: 1px solid var(--bs-gray-300);
}
.product-card:hover .product-card__image::after {
    transform: translateX(-50%) scale(1);
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.product-card:hover .product-card__image img {
    transform: scale(1.1);
    opacity: 0.75;
}

.product-card:hover .product-card__title {
    color: var(--bs-gray-dark);
}

.section-product .slider-button.slider-button_prev,
.section-product__hot .slider-button.slider-button_prev {
    left: -15px;
}

.section-product .slider-button.slider-button_next,
.section-product__hot .slider-button.slider-button_next {
    right: -15px;
}

.section-product .product-box + .product-box {
    margin-top: 30px;
    padding-top: 25px;
}

.section-product .product-box .button-theme {
    padding: 8px 22px;
}

.section-product .product-box__category .category-wrap {
    overflow-x: auto;
}

.section-product .product-box__category .category-wrap > a {
    border: 1px solid rgb(var(--primary-rgb), 0.1);
    background-color: #f5f5f5;
    padding: 6px 15px;
    border-radius: 5px;
    color: var(--bs-gray-800);
}

.section-product .product-box__category .category-wrap > a:last-child,
.section-product .product-box__category .category-wrap > a:hover {
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
    background-color: rgb(var(--primary-rgb), 0.05);
}

.section-sort > li > a {
    font-weight: 500;
    border: 1px solid var(--bs-gray-400);
    padding: 6px 15px;
    border-radius: 5px;
    color: var(--bs-gray-800);
    display: block;
}

.section-sort > li > a.active,
.section-sort > li > a:hover {
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
}

.scroll-top {
    background: var(--bs-gray-dark);
    border-radius: 5px;
    width: 36px;
    height: 36px;
    position: fixed;
    right: 10px;
    bottom: 20px;
    z-index: 3;
}
.scroll-top:hover{
    background-color: var(--primary-color);
}
.floating-contact {
    position: fixed;
    bottom: 70px;
    right: 10px;
    z-index: 3;
    animation-duration: 1s;
    animation-fill-mode: both;
    animation-name: tranform-Y;
    transform: translateX(2000px) scale(.7);

}

@keyframes tranform-Y {
    0% {
        opacity: .7;
        transform: translateX(2000px) scale(.7)
    }
    80% {
        opacity: .7;
        transform: translateX(0) scale(.7)
    }
    to {
        opacity: 1;
        transform: scale(1)
    }
}

.floating-contact__item {
    display: flex;
    align-items: center;
    gap: 10px;
    background: var(--bs-white);
    padding: 10px 15px;
    border-radius: 5px;
    border: 1px solid var(--bs-gray-200);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .08);
    color: #000;
}

.floating-contact__image {
    flex-shrink: 0;
}

.floating-call {
    display: block;
    text-align: center;
    width: 40px;
    height: 40px;
    font-size: 16px;
    line-height: 38px;
    border: 1px solid #e5e5e5;
    border-radius: 999px;
    color: #d7202c;
    background-color: #f7f7f7;
    -webkit-animation: animation-phone 1s infinite ease-in-out;
    animation: animation-icon 1s infinite ease-in-out;
}
@keyframes animation-icon {
    0% {
        transform: rotate(0) scale(1) skew(1deg)
    }

    10% {
        transform: rotate(-25deg) scale(1) skew(1deg)
    }

    20% {
        transform: rotate(25deg) scale(1) skew(1deg)
    }

    30% {
        transform: rotate(-25deg) scale(1) skew(1deg)
    }

    40% {
        transform: rotate(25deg) scale(1) skew(1deg)
    }

    50% {
        transform: rotate(0) scale(1) skew(1deg)
    }

    100% {
        transform: rotate(0) scale(1) skew(1deg)
    }
}

.floating-contact__text {
    display: flex;
    flex-direction: column;
}

.floating-contact__text > b {
    font-size: 15px;
    font-weight: 600;
}

.floating-contact__text > small {
    color: var(--bs-gray-700);
    font-size: 12px;
    display: block;
}

.floating-contact__item:hover {
    color: var(--primary-color);
}

.modal-theme__close {
    width: 30px;
    height: 30px;
    top: -10px;
    right: -10px;
}

.modal-theme__close:hover i {
    transform: rotate(90deg);
}

.modal-theme__header {
    padding: 50px 20px 40px 20px;
    background-repeat: no-repeat;
    background-size: cover;
}

.modal-theme__header .heading-title-2 {
    font-size: 1.6em;
}

.modal-theme__header::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    background-color: rgb(28 26 26 / 59%);
}

.section-intro .intro-image {
    width: 80%;
    padding-bottom: 50px;
}

.section-intro .intro-image::before {
    position: absolute;
    content: '';
    left: -30px;
    top: 30px;
    display: block;
    width: 12px;
    height: 150px;
    background-color: var(--primary-color);
    animation: jumpAni 7s linear infinite;
}

@keyframes jumpAni {
    0% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-30px);
    }
    100% {
        transform: translateY(0);
    }
}

.section-intro .intro-experience {
    max-width: 220px;
    width: 100%;
    padding: 30px;
    border: 3px solid var(--bs-white);
}

.section-intro .intro-experience::after {
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 1;
    background: linear-gradient(to top, #067833, #067833ab);
}

.section-intro .intro-experience .icon {
    width: 50px;
    filter: invert(100%);
}

.section-intro .intro-experience .number {
    font-size: 4em;
}

.section-intro .intro-experience .text {
    font-size: 1.8em;
    font-weight: 500;
    opacity: 0.6;
    -webkit-text-stroke: 0.5px var(--bs-white);
    color: transparent;
}

.card-intro .icon {
    width: 75px;
    height: 75px;
    background-color: #F2F2F2;
}

.card-intro .card-title {
    font-size: 1.3em;
}

.card-intro .card-text {
    color: var(--bs-gray-600);
    font-size: 1.1em;
    line-height: 1.5;
}

.card-intro:hover .icon {
    background-color: var(--primary-color);
}

.card-intro:hover .icon img {
    transform: rotateY(180deg);
    filter: brightness(9) grayscale(9);
}

.section-service::before {
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    background:linear-gradient(to left, #1a1818e3 40%, #06783342);
}

.card-service {
    box-shadow: 0 0 30px #0000001f;
}

.card-service .icon {
    width: 60px;
    height: 60px;
    padding: 5px;
    position: absolute;
    background-color: var(--primary-color);
    top: -35px;
    left: 20px;
    font-size: 20px;
}

.card-service .icon > span {
    border: 1px dashed #ffffff82;
}

.card-service .card-body {
    padding: 35px 25px 20px 25px;
}

.card-service .card-title h3 {
    font-size: 1.3em;
    line-height: 1.4;
}

.card-service:hover .icon {
    background-color: var(--primary-hover);
    transform: rotateY(180deg);
}

.card-service:hover .card-image img {
    transform: rotate(2deg) scale(1.1);
    opacity: 0.8;
}

.card-gallery:hover img {
    transform: scale(1.1);
    cursor: zoom-in;
}
